<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8" />
  <title>"Książkorama" - rezultat wstawiania nowej książki</title>
</head>
<body>
  <h1>"Książkorama" - rezultat wstawiania nowej książki </h1>
  <?php

    if (!isset($_POST['isbn']) || !isset($_POST['autor']) 
         || !isset($_POST['tytul']) || !isset($_POST['cena'])) {
       echo "<p>Nie podano informacji we wszystkich wymaganych polach.<br />
             Proszę wrócić na poprzednią stronę i spróbować jeszcze raz.</p>";
       exit;
    }

    // utworzenie krótkich nazw zmiennych
    $isbn=$_POST['isbn'];
    $autor=$_POST['autor'];
    $tytul=$_POST['tytul'];
    $cena=$_POST['cena'];
    $cena = doubleval($cena);

    @ $db = new mysqli('localhost', 'ksiazkorama', 'ksiazkorama123', 'ksiazki');

    if (mysqli_connect_errno()) {
       echo "<p>Błąd: Połączenie z bazą danych nie powiodło się.<br /> 
       Spróbuj jeszcze raz później.</p>";
       exit;
    }

    $query = "INSERT INTO Ksiazki VALUES (?, ?, ?, ?)";
    $polecenie = $db->prepare($query);
    $polecenie->bind_param('sssd', $isbn, $autor, $tytul, $cena);
    $polecenie->execute();

    if ($polecenie->affected_rows > 0) {
        echo  "<p>Książka została zapisana w bazie danych.</p>";
    } else {
        echo "<p>Wystąpił błąd. <br />
              Książka nie została dodana do bazy.</p>";
    }

    $db->close();
  ?>
</body>
</html>
